Skip to main content

Cancel Order

Cancel an active spot trading order by order ID and symbol.

HTTP Request

POST /api/v1/spot/trade/cancel-order

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)
orderIdstringYesOrder ID to cancel

Request Example

curl -X POST "https://open-api.bydoxe.com/api/v1/spot/trade/cancel-order" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json" \
-d '{
"symbol": "BTCUSDT",
"orderId": "123456789"
}'

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectCancel order response data
> orderIdstringCanceled order ID

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": {
"orderId": "123456789"
}
}

Error Codes

CodeMessage
40001Parameter cannot be empty
40002Unauthorized
40034Currency pair does not exist
43116Order does not exist
43116Order does not match the symbol
43117Order cannot be cancelled
50000Wallet not found
50000System error